<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFTable.XWPFBorderType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFTable.XWPFBorderType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFTable.XWPFBorderType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFTable.XWPFBorderType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Enum XWPFTable.XWPFBorderType" class="title">Enum XWPFTable.XWPFBorderType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a
                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFTable.XWPFBorderType</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                            title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                           title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static enum <span class="typeNameLabel">XWPFTable.XWPFBorderType</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                             title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a>&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#DASH_DOT_STROKED">DASH_DOT_STROKED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#DASH_SMALL_GAP">DASH_SMALL_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#DASHED">DASHED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#DOT_DASH">DOT_DASH</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#DOT_DOT_DASH">DOT_DOT_DASH</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#DOTTED">DOTTED</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#DOUBLE">DOUBLE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#DOUBLE_WAVE">DOUBLE_WAVE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#INSET">INSET</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#NIL">NIL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#NONE">NONE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#OUTSET">OUTSET</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#SINGLE">SINGLE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THICK">THICK</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THICK_THIN_LARGE_GAP">THICK_THIN_LARGE_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THICK_THIN_MEDIUM_GAP">THICK_THIN_MEDIUM_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THICK_THIN_SMALL_GAP">THICK_THIN_SMALL_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THIN_THICK_LARGE_GAP">THIN_THICK_LARGE_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THIN_THICK_MEDIUM_GAP">THIN_THICK_MEDIUM_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THIN_THICK_SMALL_GAP">THIN_THICK_SMALL_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THIN_THICK_THIN_LARGE_GAP">THIN_THICK_THIN_LARGE_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THIN_THICK_THIN_MEDIUM_GAP">THIN_THICK_THIN_MEDIUM_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THIN_THICK_THIN_SMALL_GAP">THIN_THICK_THIN_SMALL_GAP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THREE_D_EMBOSS">THREE_D_EMBOSS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#THREE_D_ENGRAVE">THREE_D_ENGRAVE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#TRIPLE">TRIPLE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#WAVE">WAVE</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="NIL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NIL</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> NIL</pre>
                            </li>
                        </ul>
                        <a name="NONE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NONE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> NONE</pre>
                            </li>
                        </ul>
                        <a name="SINGLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SINGLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> SINGLE</pre>
                            </li>
                        </ul>
                        <a name="THICK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THICK</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THICK</pre>
                            </li>
                        </ul>
                        <a name="DOUBLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOUBLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> DOUBLE</pre>
                            </li>
                        </ul>
                        <a name="DOTTED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOTTED</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> DOTTED</pre>
                            </li>
                        </ul>
                        <a name="DASHED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DASHED</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> DASHED</pre>
                            </li>
                        </ul>
                        <a name="DOT_DASH">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOT_DASH</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> DOT_DASH</pre>
                            </li>
                        </ul>
                        <a name="DOT_DOT_DASH">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOT_DOT_DASH</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> DOT_DOT_DASH</pre>
                            </li>
                        </ul>
                        <a name="TRIPLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TRIPLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> TRIPLE</pre>
                            </li>
                        </ul>
                        <a name="THIN_THICK_SMALL_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_THICK_SMALL_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THIN_THICK_SMALL_GAP</pre>
                            </li>
                        </ul>
                        <a name="THICK_THIN_SMALL_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THICK_THIN_SMALL_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THICK_THIN_SMALL_GAP</pre>
                            </li>
                        </ul>
                        <a name="THIN_THICK_THIN_SMALL_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_THICK_THIN_SMALL_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THIN_THICK_THIN_SMALL_GAP</pre>
                            </li>
                        </ul>
                        <a name="THIN_THICK_MEDIUM_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_THICK_MEDIUM_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THIN_THICK_MEDIUM_GAP</pre>
                            </li>
                        </ul>
                        <a name="THICK_THIN_MEDIUM_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THICK_THIN_MEDIUM_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THICK_THIN_MEDIUM_GAP</pre>
                            </li>
                        </ul>
                        <a name="THIN_THICK_THIN_MEDIUM_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_THICK_THIN_MEDIUM_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THIN_THICK_THIN_MEDIUM_GAP</pre>
                            </li>
                        </ul>
                        <a name="THIN_THICK_LARGE_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_THICK_LARGE_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THIN_THICK_LARGE_GAP</pre>
                            </li>
                        </ul>
                        <a name="THICK_THIN_LARGE_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THICK_THIN_LARGE_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THICK_THIN_LARGE_GAP</pre>
                            </li>
                        </ul>
                        <a name="THIN_THICK_THIN_LARGE_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_THICK_THIN_LARGE_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THIN_THICK_THIN_LARGE_GAP</pre>
                            </li>
                        </ul>
                        <a name="WAVE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WAVE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> WAVE</pre>
                            </li>
                        </ul>
                        <a name="DOUBLE_WAVE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOUBLE_WAVE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> DOUBLE_WAVE</pre>
                            </li>
                        </ul>
                        <a name="DASH_SMALL_GAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DASH_SMALL_GAP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> DASH_SMALL_GAP</pre>
                            </li>
                        </ul>
                        <a name="DASH_DOT_STROKED">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DASH_DOT_STROKED</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> DASH_DOT_STROKED</pre>
                            </li>
                        </ul>
                        <a name="THREE_D_EMBOSS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THREE_D_EMBOSS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THREE_D_EMBOSS</pre>
                            </li>
                        </ul>
                        <a name="THREE_D_ENGRAVE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THREE_D_ENGRAVE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> THREE_D_ENGRAVE</pre>
                            </li>
                        </ul>
                        <a name="OUTSET">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OUTSET</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> OUTSET</pre>
                            </li>
                        </ul>
                        <a name="INSET">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>INSET</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a> INSET</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (XWPFTable.XWPFBorderType c : XWPFTable.XWPFBorderType.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
                                        title="enum in org.apache.poi.xwpf.usermodel">XWPFTable.XWPFBorderType</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFTable.XWPFBorderType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFTable.XWPFBorderType.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFTable.XWPFBorderType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
